0
Under review

Platform specific assembly references cannot be found

Kevin Lee 4 years ago in API • updated by anonymous 4 years ago 9
I have installed OxyPlot.XamarinIOS and OxyPlot.XamarinAndroid into their respective projects in a Visual Studio Xamarin Forms solution. As a result OxyPlot.Core is also installed and I can reference this perfectly fine. However the iOS and Android assemblies cannot be found with error messages:

using OxyPlot.XamarinIOS	//Cannot resolve symbol 'XamarinIOS'
using OxyPlot.XamarinAndroid	//Cannot resolve symbol 'XamarinAndroid'
I have checked that they match the OxyPlot.Core version, which is 2014.14.447. I have tried cleaning and rebuilding but nothing is working.
Under review
I think there are some problems with the latest builds. I will try to fix this soon!
Ok, I will be waiting for the good news :)
I have published new packages for build 465-alpha (note that you need to select the prerelease channel), but I have not had a chance to test myself yet.
I am getting an error when trying to install Xamarin.Android and Xamarin.iOS:

Attempting to resolve dependency 'OxyPlot.Core (= 2014.1.465-alpha)'.
'Default' tag requires a nonempty 'Extension' attribute. Line 1, position 378.
+1
Thanks for testing. I see there is more work to do. Will notify when the package is up and running again!
i am facing the same error , any update ?
How did you get it to work?
+1
This is followed up at issue #184
Sorry for the inconvenience! Hopefully we can get it sorted soon...